%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module  TwistedCore

Name:           python-twisted-core
Version:        14.0.0
Release:        %mkrel 4
Summary:        Event-based framework for internet applications
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/core/
Source0:        http://twistedmatrix.com/Releases/Core/%{mainver}/%{module}-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-zope-interface
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:       pycrypto
Requires:       python-OpenSSL
Requires:       python-zope-interface
Requires:       python-gi

Conflicts:      python-twisted < 2.0.0
Obsoletes:      python-twisted-core-doc < 13.1.0-6

%description
Twisted is a framework, written in Python, for writing networked
applications. It includes implementations of a number of commonly used
network services such as a web server, an IRC chat server, a mail
server, a relational database interface and an object broker. Developers
can build applications using all of these services as well as custom
services that they write themselves. Twisted also includes a user
authentication system that controls access to services and provides
services with user context information to implement their own security
models.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

# no need for c source code
find %{buildroot}%{python_sitearch}/twisted -type f -name '*.c' | xargs rm -f


%files
%doc CREDITS LICENSE NEWS README ChangeLog.Old
%{_bindir}/*
%dir %{python_sitearch}/twisted
%{python_sitearch}/twisted/*
%{python_sitearch}/Twisted_Core-%{version}-py%{pyver}.egg-info


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 14.0.0-4.mga5
+ Revision: 749322
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 14.0.0-3.mga5
+ Revision: 729891
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 14.0.0-2.mga5
+ Revision: 688389
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat Jun 07 2014 daviddavid <daviddavid> 14.0.0-1.mga5
+ Revision: 634512
- obsolete python-twisted-core-doc as it is removed on upstream source
- remove man files as it is removed on upstream source
- move Changelog.Old file to main package doc
- new version: 14.0.0

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 13.1.0-4.mga4
+ Revision: 548953
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 13.1.0-3.mga4
+ Revision: 544351
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 13.1.0-2.mga4
+ Revision: 499594
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 13.1.0-1.mga4
+ Revision: 491818
- Update to 13.1.0

* Sun Jan 13 2013 umeabot <umeabot> 12.2.0-2.mga3
+ Revision: 379591
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 12.2.0-1.mga3
+ Revision: 296364
- Update to 12.2.0

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga2
+ Revision: 171278
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 109918
- new version 11.0.0

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55744
- update to 10.2.0
- drop python-2.6 patch, not needed
- disable the sagemath path, needs rediffing (maybe when pcpa rediff it in mdv)
- make the doc sub-package noarch

* Thu Jan 20 2011 blino <blino> 10.1.0-4.mga1
+ Revision: 25564
- rebuild for broken rpm

* Thu Jan 20 2011 blino <blino> 10.1.0-3.mga1
+ Revision: 25549
- rebuild because of broken rpm

* Wed Jan 19 2011 erwan <erwan> 10.1.0-2.mga1
+ Revision: 24910
- imported package python-twisted-core


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 10.1.0-2mdv2011.0
+ Revision: 590086
- rebuild for python 2.7

* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555029
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514221
- Update to 10.0.0.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix source URL

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 9.0.0-1mdv2010.1
+ Revision: 485495
- Update to new version 9.0.0
- Remove python 2.6 patch

* Wed Aug 12 2009 Paulo Andrade <pcpa@mandriva.com.br> 8.2.0-2mdv2010.0
+ Revision: 415247
- Add tls interface adapted from sagemath patches
- Correct python 2.6 deprecated warning about sha1 and md5 modules

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323850
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.1.0-2mdv2009.1
+ Revision: 318639
- rebuild for python 2.6

* Fri Jun 13 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219006
- new version 8.1.0

* Thu Mar 20 2008 Michael Scherer <misc@mandriva.org> 2.5.0-3mdv2008.1
+ Revision: 189239
- rebuild to take less space, blino's request
- split doc and remove .pyc to make some free space on mandriva one

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 2.5.0-2mdv2008.0
+ Revision: 64825
- rebuild


* Mon Jan 15 2007 Michael Scherer <misc@mandriva.org> 2.5.0-1mdv2007.0
+ Revision: 109056
- update to 2.5

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.4.0-2mdv2007.1
+ Revision: 88390
- fix file list

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Really fix files section
    - Fix  File List
    - Rebuild against new python
    - import python-twisted-core-2.4.0-1mdk

